/*
 * Questa classe permette l'inserimento dei dati e li invia
 * al metodo 'riceviOggetto(Contatto nuovo)' che si trova nella classe 
 * Finestra.  
 */
import javax.swing.*;

import java.awt.event.*;
import java.util.StringTokenizer;

public class AggiungiContatto extends JFrame 
{


	Contatto nuovo= null;
	
	private JPanel pannello = new JPanel();	 
	  
	private JLabel etichettaNome = new JLabel("Nome       :");
	private JTextField nome = new JTextField(40);
	private JLabel etichettaCognome = new JLabel("Cognome :");
	private JTextField cognome = new JTextField(40);  

	
	private JLabel etichettaVuota1 = new JLabel("            "); 
	
	private JButton ok = new JButton("OK");   
	
	String nom  = "";
    String cog  = "";    

    
    static boolean modo; //se true contatto nuovo , altrimenti contatto da modificare
    static int indice; //indice del contatto da modificare 
	
	public AggiungiContatto(String titolo , String nom , String cog , boolean modo , int indice)    	//COSTRUTTORE
	  {				
	   	this.modo = modo;
	   	this.indice = indice;
		 
	  	this.setTitle(titolo);
	  	this.setBounds(300,280,400,115); //pos_x,pos_y, dim_x, dim_y    		
	   	
	  	nome.setText(nom);
	  	cognome.setText(cog);

	   		
	  	//setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  
	  	this.addWindowListener(new GestoreFinestraAggiungi());	
	  	//this.setLayout( new GridLayout());      
	  	
	  	
	  	pannello.add(etichettaCognome);  pannello.add(cognome);  		
	  	pannello.add(etichettaNome);	pannello.add(nome);
	    pannello.add(etichettaVuota1);

	  	pannello.add(ok);
	  	
	   	this.setContentPane(pannello);
	  	
	  	this.setVisible(true);
	  	this.setResizable(false);
	  	
	  	ok.addMouseListener(new gestoreOk());  
	  	

	  }   // FINE COSTRUTTORE

	
	  //sclasse che gestisce il taso ok della finestra di inserimento dei dati
	  class gestoreOk extends MouseAdapter 
	  {
	  	
	   public void mouseClicked(MouseEvent oggettoEvento)
	    {
	    	
	      nom  =   nome.getText() ;
	      cog  =   cognome.getText() ;    

	      
	      boolean consistenza = true;
	      
	      if( nom.length() == 0)
	            { 
	    	  		consistenza = false; 
	    	  		Visual.message("Inserisci il nome !");
	    	  	}
	      else 
	        if( cog.length()==0)
	            { consistenza=false; Visual.message("Inserisci il cognome !");}   
	

	       
	      if(consistenza)
		      {    
		       StringTokenizer st = new StringTokenizer(nom , " ");
		       nom = "";
		       while (st.hasMoreTokens()) {
		           //System.out.println(st.nextToken());
		    	   String temp = st.nextToken();
		    	   temp = temp.substring(0,1).toUpperCase() + temp.substring(1,temp.length()).toLowerCase();
		    	   nom = nom + " " + temp;
		       }
		       
		       st = new StringTokenizer(cog , " ");
		       cog = "";
		       while (st.hasMoreTokens()) {
		    	   String temp = st.nextToken();
		    	   temp = temp.substring(0,1).toUpperCase() + temp.substring(1,temp.length()).toLowerCase();
		    	   cog = cog + " " + temp;
		       }
		       //cog = st.toString();
	    	   nuovo = new Contatto(nom,cog);
		       Finestra.riceviOggetto(nuovo , indice);	    //-1 per inserimento di un nuovo contatto    
		       chiudiFinestra();
		      }  
	    }//fine mouseClicked
	  }  // fine class gestoreOk 
	  
	  public void chiudiFinestra()
	  {
	     this.dispose();	
	  }//fine chiudiFinestra
	
}//fine class AggiungiContatto



//classe che gestisce gli eventi sulla finestra per l'inserimento dei dati
class GestoreFinestraAggiungi implements WindowListener
{
  public void windowIconified(WindowEvent e) {} 
  public void windowDeiconified(WindowEvent e) {} 
  public void windowActivated(WindowEvent e) {} 
  public void windowDeactivated(WindowEvent e) {}   
  public void windowOpened(WindowEvent e) {} 
  public void windowClosed(WindowEvent e) {} 
            	 
  public GestoreFinestraAggiungi() 
  {

  }        	 
          	 
  public void windowClosing(WindowEvent e)
  {

  }
}//fine GestoreFinestraAggiungi
