import java.util.Vector;
import java.io.*;


public class CSV 
{

	public static boolean salvaCSV(String nomeFile , Vector elenco , boolean salvataggio)
	  {     //salvataggio dell'ultima path aperta nella ricerca dei file delle rubriche
		  try
		     {
			  int scelta = 0;
			  String nomeFileTemp = nomeFile.substring(nomeFile.lastIndexOf("\\")+1, nomeFile.length()-4);
			  if (trovaPercorso(nomeFile) && !salvataggio) //se esiste il file chiede se devo sovrascriverlo
				  scelta = Visual.conferma("Il file '" + nomeFileTemp + ".csv' esiste gi !!\nSovraschiverlo ?");
			  if (scelta == 0) //se Visual.conferma ritorna 0 lo salvo 
			  	{
				  FileWriter fileFisico = new FileWriter(nomeFile);
			      PrintWriter fileLogico = new PrintWriter(fileFisico);
			      Contatto nuovo = null;
			      fileLogico.println("Elenco Alunni :   " + nomeFileTemp); //prima riga con nome del file
			      fileLogico.println("ind ;Cognome ;Nome "); //seconda riga che nontiene i nomi dei campi
			      fileLogico.println(); // terza riga vuota
			      for (int i = 0 ; i < elenco.size() ; i++)
			         {
			    	  nuovo = (Contatto) elenco.elementAt(i);
			    	  fileLogico.println((i+1) + ";" + nuovo.getCognome() + ";" + nuovo.getNome());
			         }
			      fileLogico.close();
			      Visual.message("Esportazione in Csv effettuata!! " + nomeFileTemp);
			  	}
			  else Visual.message("Esportazione in Csv non effettuata!!");
		  	  return true;
		     }
		  catch(Exception e)
			     { 
			  		Visual.message("Errore nel salvataggio del file Csv !!");
			  		return false;
			     }
	  } //fine salvaCSV
	
	
	public static boolean leggiCSV (String nomeFile , Vector elenco)
		{
		 if (trovaPercorso(nomeFile))
		 	{
			 try
			   {
				 FileReader fileFisico = new FileReader(nomeFile);
			     BufferedReader fileLogico = new BufferedReader(fileFisico);
			     String riga = "";
			     int conto = 0;
			     Contatto temp = null;
			     while((riga = fileLogico.readLine())!= null)
			     { 
			      if (conto > 2)
			      	{
			    	  temp = new Contatto();
			    	  riga = riga.substring(riga.indexOf(";")+1); //riduco la stringa presa dalla riga per eliminare l'indice
			    	  temp.setCognome(riga.substring(0,riga.indexOf(";"))); //ricavo i caratteri fino al ; 
			    	  riga = riga.substring(riga.indexOf(";")+1); //riduco la stringa presa dalla riga
			    	  temp.setNome(riga.substring(0,riga.length()));
			    	  System.out.println(temp.getCognome() + " c - n" +temp.getNome() );
			      	  elenco.add(temp);
			      	}
			      conto++;
			     }
			     fileLogico.close();
			     Visual.message("Caricati " + elenco.size() + "  nominativi!");
			     return true;
			   }
			  catch (Exception e)
			   { Visual.message("Errore durante la lettura dal file !" + e);
			     return false;
			   }
		 	}
		 else Visual.message("File non trovato!!");
		 return false;
		}//fine leggiCSV
	
	
	
	public static boolean trovaPercorso(String nomeFile)
	  {
	  	boolean trovato = false;
	    try
	    {
	      FileReader fileFisico = new FileReader( nomeFile );
	      trovato = true;
	    }
	    catch (IOException e)  { } 	 
	    return trovato;
	  }//fine trovaPercorso
	
}//fine CSV
